Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::views::zip_fn Struct Reference

## Synopsis of methods
constexpr zip_fn | zip {}

## Public Member Functions
constexpr empty_view< std::tuple<> > | operator() () const noexcept
template<typename... Rngs>
zip_view< all_t< Rngs >... > | operator() (Rngs &&... rngs) const

## Member Function Documentation

## ◆ operator()()

template<typename... Rngs>

zip_view<all_t<Rngs>...> ranges::views::zip_fn::operator() | ( | Rngs &&... | rngs | ) | const

Precondition
  requires `and_v<viewable_range<Rngs>...> && and_v<input_range<Rngs>...> && (sizeof...(Rngs) != 0)` //